package be.iminds.jfed.gts_highlevel.model;

import javax.xml.bind.annotation.XmlRootElement;
import java.util.List;
import java.util.Map;

/**
 * User: twalcari
 * Date: 9/17/2015
 * Time: 16:56
 */
@XmlRootElement(name="infrastructure")
public class GtsInfrastructure {
    private Map<String,String> capabilities;
    private String providerId;
    private String description;
    private List<GtsXmlResource> resources;

    public Map<String, String> getCapabilities() {
        return capabilities;
    }

    public void setCapabilities(Map<String, String> capabilities) {
        this.capabilities = capabilities;
    }

    public String getProviderId() {
        return providerId;
    }

    public void setProviderId(String providerId) {
        this.providerId = providerId;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public List<GtsXmlResource> getResources() {
        return resources;
    }

    public void setResources(List<GtsXmlResource> resources) {
        this.resources = resources;
    }
}
